<?php
/*
Plugin Name: Link Linker
Version: 0.6
Plugin URI: http://
Description: If you put pipes (| |) around the text of one of your links (in the link manager), this plugin will link that text to its uri from the links table.
Author: Steve Ivy
Author URI: http://redmonk.net

---------------------------------------------------------------------
Description: This plugin works by looking in the post content for bits of text between |s (vertical bars), then checking to see if that text is in your links database. If it is, it replaces the pipe-text-pipe combo with the text, linked to the URL in your links db.

*/

function rmk_get_link ($matches) {
    global $wpdb, $tablelinks;
    
    $text = $matches[1];
    
    // 1. look up the link text in the links database
    $sql = "SELECT * FROM $tablelinks WHERE link_name='$text'";

    $link = $wpdb->get_row($sql, ARRAY_A);
        
    // 3. if it's not there
    //      3.1 return the text
    if (count($link)===0) {
        return $text;
    } else {
    // 2. if it's there
    //      2.1 build the link
    //      2.2 return the link
        $link_name = $link['link_name'];
        $link_url = $link['link_url'];
        $link_desc = $link['link_description'];
        $link_text = "<a href=\"$link_url\" title=\"$link_desc\">$link_name</a>";
    }
    return $link_text;
}

function rmk_addlinks( $content ) {
	
	$regex_delimited_item = "/\|([_a-zA-Z0-9-\s]+)\|/m";
	
	$rm_text = preg_replace_callback( $regex_delimited_item, "rmk_get_link", $content );
	
	return $rm_text;
}


add_filter( 'the_content', 'rmk_addlinks' );

?>